Start a stopped computer asset

Beta

Start a stopped computer’s runtime and wait for it to come up — the same operation as the Start button in Athena. Idempotent for a running computer. Returns 409 when the computer’s provider does not support lifecycle operations.

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

asset_idstringRequired

Response

Successful Response
asset_idstring
The computer asset id.
statestring

Runtime state after the operation: started, stopped, a transitional state such as restoring, or pending when the transition was durably queued.

providerstring or nullOptional

The computer’s runtime provider (e.g. talos_v2).

Errors

401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
502
Bad Gateway Error